org.apache.lucene.codecs.lucene40

## Class Lucene40PostingsReader

- java.lang.Object
- - org.apache.lucene.codecs.PostingsReaderBase
  - - org.apache.lucene.codecs.lucene40.Lucene40PostingsReader

All Implemented Interfaces:
  Closeable, AutoCloseable

Deprecated.
Only for reading old 4.0 segments

    @Deprecated
    public class Lucene40PostingsReader
    extends PostingsReaderBase

Concrete class that reads the 4.0 frq/prox postings format.

See Also:
  `Lucene40PostingsFormat`

### Constructor Summary

Constructors
Constructor and Description
`Lucene40PostingsReader(Directory dir, FieldInfos fieldInfos, SegmentInfo segmentInfo, IOContext ioContext, String segmentSuffix)` Deprecated. Sole constructor.

### Method Summary

Methods
`void` `close()` Deprecated.
`DocsEnum` `docs(FieldInfo fieldInfo, BlockTermState termState, Bits liveDocs, DocsEnum reuse, int flags)` Deprecated. Must fully consume state, since after this call that TermState may be reused.
`DocsAndPositionsEnum` `docsAndPositions(FieldInfo fieldInfo, BlockTermState termState, Bits liveDocs, DocsAndPositionsEnum reuse, int flags)` Deprecated. Must fully consume state, since after this call that TermState may be reused.
`void` `init(IndexInput termsIn)` Deprecated. Performs any initialization, such as reading and verifying the header from the provided terms dictionary `IndexInput`.
`BlockTermState` `newTermState()` Deprecated. Return a newly created empty TermState
`void` `nextTerm(FieldInfo fieldInfo, BlockTermState _termState)` Deprecated. Actually decode metadata for next term
`void` `readTermsBlock(IndexInput termsIn, FieldInfo fieldInfo, BlockTermState _termState)` Deprecated. Reads data for all terms in the next block; this method should merely load the byte[] blob but not decode, which is done in `PostingsReaderBase.nextTerm(org.apache.lucene.index.FieldInfo, org.apache.lucene.codecs.BlockTermState)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Lucene40PostingsReader

    public Lucene40PostingsReader(Directory dir,
                          FieldInfos fieldInfos,
                          SegmentInfo segmentInfo,
                          IOContext ioContext,
                          String segmentSuffix)
                           throws IOException

Deprecated.
Sole constructor.

Throws:
  `IOException`

### Method Detail

#### init

    public void init(IndexInput termsIn)
              throws IOException

Deprecated.
Description copied from class: `PostingsReaderBase`
Performs any initialization, such as reading and verifying the header from the provided terms dictionary `IndexInput`.

Specified by:
  `init` in class `PostingsReaderBase`
Throws:
  `IOException`

#### newTermState

    public BlockTermState newTermState()

Deprecated.
Description copied from class: `PostingsReaderBase`
Return a newly created empty TermState

Specified by:
  `newTermState` in class `PostingsReaderBase`

#### close

    public void close()
               throws IOException

Deprecated.

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `PostingsReaderBase`
Throws:
  `IOException`

#### readTermsBlock

    public void readTermsBlock(IndexInput termsIn,
                      FieldInfo fieldInfo,
                      BlockTermState _termState)
                        throws IOException

Deprecated.
Description copied from class: `PostingsReaderBase`
Reads data for all terms in the next block; this method should merely load the byte[] blob but not decode, which is done in `PostingsReaderBase.nextTerm(org.apache.lucene.index.FieldInfo, org.apache.lucene.codecs.BlockTermState)`.

Specified by:
  `readTermsBlock` in class `PostingsReaderBase`
Throws:
  `IOException`

#### nextTerm

    public void nextTerm(FieldInfo fieldInfo,
                BlockTermState _termState)
                  throws IOException

Deprecated.
Description copied from class: `PostingsReaderBase`
Actually decode metadata for next term

Specified by:
  `nextTerm` in class `PostingsReaderBase`
Throws:
  `IOException`

#### docs

    public DocsEnum docs(FieldInfo fieldInfo,
                BlockTermState termState,
                Bits liveDocs,
                DocsEnum reuse,
                int flags)
                  throws IOException

Deprecated.
Description copied from class: `PostingsReaderBase`
Must fully consume state, since after this call that TermState may be reused.

Specified by:
  `docs` in class `PostingsReaderBase`
Throws:
  `IOException`

#### docsAndPositions

    public DocsAndPositionsEnum docsAndPositions(FieldInfo fieldInfo,
                                        BlockTermState termState,
                                        Bits liveDocs,
                                        DocsAndPositionsEnum reuse,
                                        int flags)
                                          throws IOException

Deprecated.
Description copied from class: `PostingsReaderBase`
Must fully consume state, since after this call that TermState may be reused.

Specified by:
  `docsAndPositions` in class `PostingsReaderBase`
Throws:
  `IOException`